local menu = {}
	-- Set up buttons here
	buttons = {["image"] = {}, ["imageOver"] = {}, ["do"] = {}, ["mouseOver"] = {}, ["name"]= {}}
	-- Start button
	buttons["image"]["start"] = love.graphics.newImage("resources/start.png")
	buttons["imageOver"]["start"] = love.graphics.newImage("resources/startOver.png")
	buttons["do"]["start"] = function ()
		gamestate = "playing"
	end
	buttons["mouseOver"]["start"] = false
	buttons["name"]["start"] = "start"
	-- Options button
	buttons["image"]["options"] = love.graphics.newImage("resources/options.png")
	buttons["imageOver"]["options"] = love.graphics.newImage("resources/options.png")
	buttons["do"]["options"] = function ()
		return 1 
	end
	buttons["mouseOver"]["options"] = false
	buttons["name"]["options"] = "options"
	-- Choose Hero button
	buttons["image"]["chooseHero"] = love.graphics.newImage("resources/chooseHero.png")
	buttons["imageOver"]["chooseHero"] = love.graphics.newImage("resources/chooseHeroOver.png")
	buttons["do"]["chooseHero"] = function ()
	    menu.setHero("none")
	    gamestate = "playing"
	end
	buttons["mouseOver"]["chooseHero"] = false
	buttons["name"]["chooseHero"] = "chooseHero"


	-- Set up heroes to appear in hero select screen
	heroes = {["name"] = {}, ["image"] = {}, ["hero"] = {}, ["mouseOver"] = {}}
	-- Beard
	heroes["name"]["beard"] = love.graphics.newText( monacoSmall, "Beard")
	heroes["image"]["beard"] = love.graphics.newImage("resources/beard.png")
	heroes["image"]["beard"]:setFilter( "nearest", "nearest" )
	heroes["hero"]["beard"] = "beard"
	heroes["mouseOver"]["beard"] = false
	-- Smoker
	heroes["name"]["smoker"] = love.graphics.newText( monacoSmall, "Smoker")
	heroes["image"]["smoker"] = love.graphics.newImage("resources/smoker.png")
	heroes["image"]["smoker"]:setFilter( "nearest", "nearest" )
	heroes["hero"]["smoker"] = "smoker"
	heroes["mouseOver"]["smoker"] = false
	-- Trump
	heroes["name"]["trump"] = love.graphics.newText( monacoSmall, "Trump")
	heroes["image"]["trump"] = love.graphics.newImage("resources/trump.png")
	heroes["image"]["trump"]:setFilter( "nearest", "nearest" )
	heroes["hero"]["trump"] = "trump"
	heroes["mouseOver"]["trump"] = false

	function menu.drawButton(button, x, y)
		if love.mouse.getX() >= x - (buttons["image"][button]:getWidth()/2) and love.mouse.getX() <= x - (buttons["image"][button]:getWidth()/2) + buttons["image"][button]:getWidth() and love.mouse.getY() >= y - (buttons["image"][button]:getHeight()/2) and love.mouse.getY() <= y - (buttons["image"][button]:getHeight()/2) + buttons["image"][button]:getHeight() then
			love.graphics.draw(buttons["imageOver"][button], x - (buttons["imageOver"][button]:getWidth()/2), y - (buttons["imageOver"][button]:getHeight()/2))
			buttons["mouseOver"][button] = true
		else
			love.graphics.draw(buttons["image"][button], x - (buttons["image"][button]:getWidth()/2), y - (buttons["image"][button]:getHeight()/2))
			buttons["mouseOver"][button] = false
		end
	end

	function menu.drawHero(hero, x, y, multiply)
		if love.mouse.getX() >= x - (multiply*heroes["image"][hero]:getWidth()/2) and love.mouse.getX() <= x - (multiply*heroes["image"][hero]:getWidth()/2) + multiply*heroes["image"][hero]:getWidth() and love.mouse.getY() >= y - (multiply*heroes["image"][hero]:getHeight()/2) and love.mouse.getY() <= y - (multiply*heroes["image"][hero]:getHeight()/2) + multiply*heroes["image"][hero]:getHeight() then
			love.graphics.draw( heroes["image"][hero], x - (multiply*heroes["image"][hero]:getWidth()), y - (multiply*heroes["image"][hero]:getHeight()), 0, multiply*2, multiply*2 )
			love.graphics.draw( heroes["name"][hero], x - (multiply*heroes["image"][hero]:getWidth()/2) , y + multiply*heroes["image"][hero]:getHeight() + 16)
			heroes["mouseOver"][hero] = true
		else
			love.graphics.draw( heroes["image"][hero], x - (multiply*heroes["image"][hero]:getWidth()/2), y - (multiply*heroes["image"][hero]:getHeight()/2), 0, multiply, multiply )
			love.graphics.draw( heroes["name"][hero], x - (multiply*heroes["image"][hero]:getWidth()/2) , y + heroes["image"][hero]:getHeight() + 16)
			heroes["mouseOver"][hero] = false
		end
	end

	function menu.setHero(sethero)
		hero = sethero
	end

	function menu.useButton(button)
		buttons["do"][button]()
	end
return menu